org.richfaces.fragment.calendar

## Class RichFacesAdvancedInlineCalendar

- java.lang.Object
- - org.richfaces.fragment.calendar.RichFacesAdvancedInlineCalendar

- Direct Known Subclasses:
    PopupCalendar

      public class RichFacesAdvancedInlineCalendar
      extends Object

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RichFacesAdvancedInlineCalendar.CalendarEditor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAdvancedInlineCalendar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RichFacesAdvancedInlineCalendar.CalendarEditor` | `getCalendarEditor()`
    `DayPicker` | `getDayPicker()`
    `FooterControls` | `getFooterControls()`
    `HeaderControls` | `getHeaderControls()`
    `TextInputComponentImpl` | `getInput()`
    `Locations` | `getLocations()`
    `org.openqa.selenium.WebElement` | `getRoot()`
    `long` | `getTimeoutForPopupToBeNotVisible()`
    `long` | `getTimeoutForPopupToBeVisible()`
    `boolean` | `isVisible()`
    `void` | `setDateTime(org.joda.time.DateTime dt)`
    `void` | `setTimeoutForPopupToBeNotVisible(long timeoutInMilliseconds)`
    `void` | `setTimeoutForPopupToBeVisible(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilIsNotVisible()`
    `WaitingWrapper` | `waitUntilIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesAdvancedInlineCalendar

          public RichFacesAdvancedInlineCalendar()

  - ### Method Detail

    - #### getCalendarEditor

          protected RichFacesAdvancedInlineCalendar.CalendarEditor getCalendarEditor()

    - #### getDayPicker

          public DayPicker getDayPicker()

    - #### getFooterControls

          public FooterControls getFooterControls()

    - #### getHeaderControls

          public HeaderControls getHeaderControls()

    - #### getInput

          public TextInputComponentImpl getInput()

    - #### getLocations

          public Locations getLocations()

    - #### getRoot

          public org.openqa.selenium.WebElement getRoot()

    - #### isVisible

          public boolean isVisible()

    - #### setDateTime

          public void setDateTime(org.joda.time.DateTime dt)

    - #### setTimeoutForPopupToBeNotVisible

          public void setTimeoutForPopupToBeNotVisible(long timeoutInMilliseconds)

    - #### getTimeoutForPopupToBeNotVisible

          public long getTimeoutForPopupToBeNotVisible()

    - #### setTimeoutForPopupToBeVisible

          public void setTimeoutForPopupToBeVisible(long timeoutInMilliseconds)

    - #### getTimeoutForPopupToBeVisible

          public long getTimeoutForPopupToBeVisible()

    - #### waitUntilIsNotVisible

          public WaitingWrapper waitUntilIsNotVisible()

    - #### waitUntilIsVisible

          public WaitingWrapper waitUntilIsVisible()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.